Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Hieroglyph

    java.lang.Object
      org.kemet.impl.grammar.model.Hieroglyph

All Implemented Interfaces:
  java.io.Serializable, IGlobals

    public class Hieroglyph

extends java.lang.Object
implements java.io.Serializable, IGlobals

Since:
  0.6
Author:
  fabricemaupin

  BEAN : Hieroglyph.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`Hieroglyph(java.util.ArrayList<java.lang.String> hiero, int index, java.util.HashMap<java.lang.String,java.lang.String> phInfo)` instantiate the object.

Method Summary
`java.lang.String` | `getDeterminer(int i)` compute type of determiner.
`Determiner` | `getDeterminerObj()` return the current determiner object.
`java.lang.String` | `getType()` return the type.
`java.lang.String` | `getTypeForSpecialCase(int step, int i)` compute special case type.
`boolean` | `isDeterminer()` determiner ?
`boolean` | `isIdeogram()` ideogram ?
`void` | `setDeterminer(boolean determiner)` fix if it's a determiner.
`void` | `setDeterminerObj(Determiner determinerObj)` fix the current determiner object.
`void` | `setIdeogram(boolean ideogram)` fix if it's a ideogram.
`void` | `setType(java.lang.String type)` fix the type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hieroglyph

    public Hieroglyph(java.util.ArrayList<java.lang.String> hiero,
                      int index,
                      java.util.HashMap<java.lang.String,java.lang.String> phInfo)

  instantiate the object.

  Parameters:
    `hiero` - list of current hieroglyphs
    `index` - index of current hieroglyph in list
    `phInfo` - information about phonograms
  Since:
    0.6

Method Detail

### getTypeForSpecialCase

    public java.lang.String getTypeForSpecialCase(int step,
                                                  int i)

  compute special case type.

  Parameters:
    `step` - number of id concerned by special case
    `i` - index of current hieroglyph
  Returns:
    special case type
  Since:
    0.6

### getDeterminer

    public java.lang.String getDeterminer(int i)

  compute type of determiner.

  Parameters:
    `i` - index of current hieroglyph
  Returns:
    type of determiner
  Since:
    0.6

### isDeterminer

    public boolean isDeterminer()

  determiner ?

  Returns:
    true / false
  Since:
    0.6

### setDeterminer

    public void setDeterminer(boolean determiner)

  fix if it's a determiner.

  Parameters:
    `determiner` - true / false
  Since:
    0.6

### isIdeogram

    public boolean isIdeogram()

  ideogram ?

  Returns:
    true / false
  Since:
    0.6

### setIdeogram

    public void setIdeogram(boolean ideogram)

  fix if it's a ideogram.

  Parameters:
    `ideogram` - true / false
  Since:
    0.6

### getType

    public java.lang.String getType()

  return the type.

  Returns:
    type
  Since:
    0.6

### setType

    public void setType(java.lang.String type)

  fix the type.

  Parameters:
    `type` - type to fix
  Since:
    0.6

### getDeterminerObj

    public Determiner getDeterminerObj()

  return the current determiner object.

  Returns:
    determiner object
  Since:
    0.6

### setDeterminerObj

    public void setDeterminerObj(Determiner determinerObj)

  fix the current determiner object.

  Parameters:
    `determinerObj` - determiner object to fix
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.